" Startup file for a Gvim with Netbeans integration

let s:rootdir = expand("<sfile>:p:h") . '/'

func! s:DefMenu(name, cmd, icon, tooltip)
  let arg = "<silent> "
  if a:icon != ''
    let arg = arg . "icon=" . s:rootdir . a:icon
    if has("gui_motif") || has("gui_athena")
      let arg = arg . ".xpm "
    else
      let arg = arg . ".png "
    endif
  endif
  let arg = arg . a:name . " " . a:cmd
  exe "nmenu " . arg
  exe "imenu " . arg
  if a:tooltip != ""
    exe "tmenu " . a:name . " " . a:tooltip
  endif
endfunc

" Breakpoint placing with the popup menu
call s:DefMenu('PopUp.-SEP3-', "<Nop>", "", "")
call s:DefMenu('PopUp.Set\ Breakpoint', "<F21>s", "", "")
call s:DefMenu('PopUp.Remove\ Breakpoint', "<F21>r", "", "")
call s:DefMenu('PopUp.Enable\ Breakpoint', "<F21>e", "", "")
call s:DefMenu('PopUp.Disable\ Breakpoint', "<F21>d", "", "")

" Toolbar items for running and stepping.
" Toolbar already has a separator at 1.95, remove it.
aunmenu ToolBar.-sep3-
call s:DefMenu("1.91 ToolBar.-sep3a-", "<Nop>", "", "")
call s:DefMenu("1.92 ToolBar.Run", "<F21>R", "Images/Run", "Run program in debugger")
call s:DefMenu("1.93 ToolBar.Continue", "<F21>C", "Images/DebugFullSpeed", "Continue debugger")
call s:DefMenu("1.95 ToolBar.Step", "<F21>S", "Images/Step", "Step into")
call s:DefMenu("1.96 ToolBar.Next", "<F21>N", "Images/Over", "Step over")
call s:DefMenu("1.97 ToolBar.Finish", "<F21>F", "Images/Out", "Step out")
call s:DefMenu("1.99 ToolBar.-sep3b-", "<Nop>", "", "")

set mousemodel=popup_setpos
set ballooneval
